Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class ByteCollections

    java.lang.Object
      org.apache.commons.collections.primitives.ByteCollections

public final class ByteCollections
extends Object

This class consists exclusively of static methods that operate on or return ByteCollections.

The methods of this class all throw a NullPoByteerException if the provided collection is null.

Version:
  $Revision: 1.1 $ $Date: 2003/10/29 18:33:11 $
Author:
  Rodney Waldhoff

Field Summary
`static ByteIterator` | `EMPTY_BYTE_ITERATOR` An unmodifiable, empty ByteIterator
`static ByteList` | `EMPTY_BYTE_LIST` An unmodifiable, empty ByteList
`static ByteListIterator` | `EMPTY_BYTE_LIST_ITERATOR` An unmodifiable, empty ByteListIterator

Constructor Summary
`ByteCollections()`

Method Summary
`static ByteIterator` | `getEmptyByteIterator()` Returns an unmodifiable, empty ByteIterator
`static ByteList` | `getEmptyByteList()` Returns an unmodifiable, empty ByteList.
`static ByteListIterator` | `getEmptyByteListIterator()` Returns an unmodifiable, empty ByteListIterator
`static ByteIterator` | `singletonByteIterator(byte value)` Returns an unmodifiable ByteIterator containing only the specified element.
`static ByteList` | `singletonByteList(byte value)` Returns an unmodifiable ByteList containing only the specified element.
`static ByteListIterator` | `singletonByteListIterator(byte value)` Returns an unmodifiable ByteListIterator containing only the specified element.
`static ByteIterator` | `unmodifiableByteIterator(ByteIterator iter)` Returns an unmodifiable version of the given non-null ByteIterator.
`static ByteList` | `unmodifiableByteList(ByteList list)` Returns an unmodifiable version of the given non-null ByteList.
`static ByteListIterator` | `unmodifiableByteListIterator(ByteListIterator iter)` Returns an unmodifiable version of the given non-null ByteListIterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_BYTE_LIST

    public static final ByteList EMPTY_BYTE_LIST

  An unmodifiable, empty ByteList

  See Also:
    `getEmptyByteList()`

### EMPTY_BYTE_ITERATOR

    public static final ByteIterator EMPTY_BYTE_ITERATOR

  An unmodifiable, empty ByteIterator

  See Also:
    `getEmptyByteIterator()`

### EMPTY_BYTE_LIST_ITERATOR

    public static final ByteListIterator EMPTY_BYTE_LIST_ITERATOR

  An unmodifiable, empty ByteListIterator

  See Also:
    `getEmptyByteListIterator()`

Constructor Detail

### ByteCollections

    public ByteCollections()

Method Detail

### singletonByteList

    public static ByteList singletonByteList(byte value)

  Returns an unmodifiable ByteList containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable ByteList containing only the specified element.

### singletonByteIterator

    public static ByteIterator singletonByteIterator(byte value)

  Returns an unmodifiable ByteIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable ByteIterator containing only the specified element.

### singletonByteListIterator

    public static ByteListIterator singletonByteListIterator(byte value)

  Returns an unmodifiable ByteListIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable ByteListIterator containing only the specified element.

### unmodifiableByteList

    public static ByteList unmodifiableByteList(ByteList list)
                                         throws NullPointerException

  Returns an unmodifiable version of the given non-null ByteList.

  Parameters:
    `list` - the non-null ByteList to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null ByteList
  Throws:
    `NullPoByteerException` - if the given ByteList is null
    `NullPointerException`
  See Also:
    `UnmodifiableByteList.wrap(org.apache.commons.collections.primitives.ByteList)`

### unmodifiableByteIterator

    public static ByteIterator unmodifiableByteIterator(ByteIterator iter)

  Returns an unmodifiable version of the given non-null ByteIterator.

  Parameters:
    `iter` - the non-null ByteIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null ByteIterator
  Throws:
    `NullPoByteerException` - if the given ByteIterator is null
  See Also:
    `UnmodifiableByteIterator.wrap(org.apache.commons.collections.primitives.ByteIterator)`

### unmodifiableByteListIterator

    public static ByteListIterator unmodifiableByteListIterator(ByteListIterator iter)

  Returns an unmodifiable version of the given non-null ByteListIterator.

  Parameters:
    `iter` - the non-null ByteListIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null ByteListIterator
  Throws:
    `NullPoByteerException` - if the given ByteListIterator is null
  See Also:
    `UnmodifiableByteListIterator.wrap(org.apache.commons.collections.primitives.ByteListIterator)`

### getEmptyByteList

    public static ByteList getEmptyByteList()

  Returns an unmodifiable, empty ByteList.

  Returns:
    an unmodifiable, empty ByteList.
  See Also:
    `EMPTY_BYTE_LIST`

### getEmptyByteIterator

    public static ByteIterator getEmptyByteIterator()

  Returns an unmodifiable, empty ByteIterator

  Returns:
    an unmodifiable, empty ByteIterator.
  See Also:
    `EMPTY_BYTE_ITERATOR`

### getEmptyByteListIterator

    public static ByteListIterator getEmptyByteListIterator()

  Returns an unmodifiable, empty ByteListIterator

  Returns:
    an unmodifiable, empty ByteListIterator.
  See Also:
    `EMPTY_BYTE_LIST_ITERATOR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.